Skip to content

List Dynamic Content Profiles

GET
/api/v1/workspaces/{workspace_id}/dynamic_content_profiles
curl --request GET \
--url 'https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/dynamic_content_profiles?per=10&page=1' \
--header 'Authorization: Bearer <token>'

Retrieves the dynamic content profiles for the currently logged in user.

  • OAuth2
    dynamic_content_profiles:read
workspace_id
required
integer

Workspace ID

per
integer
default: 10

Number of records per page

page
integer
default: 1

Page number

Successful

Media typeapplication/json
object
results
required
Array<object>
object
id
required
string
name
required
string
created_at
required
string format: date-time
updated_at
required
string format: date-time
organization_id
required
integer
pagination
required
object
per
required
integer
page
required
integer
total
required
integer
Example
{
"results": [
{
"id": "uuid TODO",
"name": "Mailchimp Profile",
"created_at": "2023-08-23T10:30:00.000Z",
"updated_at": "2023-08-23T10:30:00.000Z",
"organization_id": 12345
}
],
"pagination": {
"per": 10,
"page": 1,
"total": 100
}
}

Not Found

Media typeapplication/json
object
message
required
string
code
string
Example
{
"message": "Record not found",
"code": "share_link_expired"
}